Last Comment Bug 308531 - Change default home page for SeaMonkey
: Change default home page for SeaMonkey
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Robert Kaiser
:
:
Mentors:
http://lxr.mozilla.org/seamonkey/sear...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 11:26 PDT by Steve Chapel
Modified: 2005-12-05 04:45 PST (History)
5 users (show)
kairo: blocking‑seamonkey1.0b+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
new seamonkey start page (6.79 KB, text/html)
2005-11-12 09:51 PST, Andrew Schultz
no flags Details
new seamonkey start page (6.77 KB, text/html)
2005-11-12 10:02 PST, Andrew Schultz
no flags Details
third time's the charm (6.77 KB, text/html)
2005-11-12 10:08 PST, Andrew Schultz
no flags Details
change prefs to new start page (1.30 KB, patch)
2005-11-14 02:29 PST, Robert Kaiser
neil: review+
neil: superreview+
Details | Diff | Splinter Review
v2: change start page URLs in SeaMonkey (checked into trunk) (2.63 KB, patch)
2005-11-15 06:33 PST, Robert Kaiser
kairo: review+
kairo: superreview+
Details | Diff | Splinter Review

Description Steve Chapel 2005-09-14 11:26:32 PDT
Currently, the default home page for SeaMonkey 1.0a builds is
<http://www.mozilla.org/start/>. This is likely to be confusing for many users,
because SeaMonkey is not an official Mozilla browser. It seems like we need a
new home page that contains information appropriate for "Getting Involved with
SeaMonkey".
Comment 1 OstGote! 2005-09-14 15:21:07 PDT
So long we don't have a good page we could use IMHO the same URL as the
throbber, <http://www.mozilla.org/projects/seamonkey/>.
Comment 2 moz 2005-09-20 02:05:44 PDT
In that http://www.mozilla.org/start/ page it says "You've downloaded (or
compiled) a copy of Mozilla" , well, to the user this is not true.

It also says "with one of our stable releases"... and "stable releases" is a
link to  http://www.mozilla.org/products/mozilla1.x/  , which is leading the
user to a no-Seamonkey page (is not even mentioned).

Keep up the good work! Long live Seamonkey!
Comment 3 Robert Kaiser 2005-09-22 10:18:25 PDT
Exactly, we need a new real start apge first. The project page isn't really
helpful for some new user who has downloaded and installed SeaMonkey already.
Comment 4 Robert Kaiser 2005-11-12 08:37:24 PST
We really should get this into Beta to make branding better...
Comment 5 Andrew Schultz 2005-11-12 09:51:44 PST
Created attachment 202814 [details]
new seamonkey start page

replaces mozilla-org/html/start/index.html
Comment 6 Andrew Schultz 2005-11-12 10:02:47 PST
Created attachment 202815 [details]
new seamonkey start page

replaced a few more Mozilla with SeaMonkey
Comment 7 Andrew Schultz 2005-11-12 10:08:07 PST
Created attachment 202816 [details]
third time's the charm

no deers in this park
Comment 8 Robert Kaiser 2005-11-14 02:12:24 PST
Comment on attachment 202816 [details]
third time's the charm

This page has been added at http://www.mozilla.org/projects/seamonkey/start/

Now we can look into changing the URL in SeaMonkey code itself :)
Comment 9 Robert Kaiser 2005-11-14 02:29:17 PST
Created attachment 202971 [details] [diff] [review]
change prefs to new start page

This patch (for both trunk and branch) moves us over to using this new start page in SeaMonkey.
Comment 10 neil@parkwaycc.co.uk 2005-11-14 16:31:56 PST
Comment on attachment 202971 [details] [diff] [review]
change prefs to new start page

Nit: you missed the hit in navigator.xul line 596. r+sr=me with that fixed.
Comment 11 Robert Kaiser 2005-11-15 06:26:45 PST
Comment on attachment 202971 [details] [diff] [review]
change prefs to new start page

requesting branch approval for this SeaMonkey-only string change
Comment 12 Robert Kaiser 2005-11-15 06:30:41 PST
Checked in the fix on trunk, leaving the bug open for branch checkin.
Comment 13 Robert Kaiser 2005-11-15 06:33:43 PST
Created attachment 203118 [details] [diff] [review]
v2: change start page URLs in SeaMonkey (checked into trunk)

OK, I think it's better to attach the really checked in version with the navigatorOverlay change that Neil pointed to, and requesting branch approval for this one. This is a simple SeaMonkey-only string change.
Comment 14 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-12-04 22:34:24 PST
Comment on attachment 203118 [details] [diff] [review]
v2: change start page URLs in SeaMonkey (checked into trunk)

Re-requesting approval flag that seems most appropriate after mtschrep@gmail.com cancelled the previous request.
Comment 15 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-12-04 22:36:09 PST
Comment on attachment 203118 [details] [diff] [review]
v2: change start page URLs in SeaMonkey (checked into trunk)

I got the email explaining why after the bugmail, so cancelling request.
Comment 16 Robert Kaiser 2005-12-05 04:45:27 PST
checked into branch (cleared to land by mtschrep in email to seamonkey-council).

Note You need to log in before you can comment on or make changes to this bug.